#ifndef WECHARTTHREADS_H
#define WECHARTTHREADS_H

#include <QThread>
#include <QTcpSocket>
#include <QStringList>
#include <QHostAddress>
#include <QDateTime>

class WechartThreads : public QThread
{
    Q_OBJECT
public:
    explicit WechartThreads(QObject *parent = NULL, quint16 idx=0, QString ip="", QString path="");
    void appendData(QString data);
    void stopwx();
    void run() override;
    void wxchart(quint16 idx, QDateTime t, QString data, bool dirflag);
    
signals:

public slots:

private:
    bool keepWorking;
    quint16 Idx;
    QString DestIp;
    QString DestPath;
    QStringList DataList;
    QTcpSocket *so[8];
};

#endif // WECHARTTHREADS_H
